Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7344 - rp3 still fails to start
Summary: rp3 still fails to start
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp3
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-26 10:43 UTC by nstn1291
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-01 20:53:21 UTC


Attachments (Terms of Use)

Description nstn1291 1999-11-26 10:43:50 UTC
In Gnome, invoking the menu item  Internet > RH PPP Dialer
causes an immediate "segmentation fault".

I have downloaded and installed all the rpm packages that are supposed to
correct this problem.

After the error message appeared I invoked gdb - the resulting output
follows:

[root@Learn /root]# gdb /usr/bin/rp3
GNU gdb 19991004
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(gdb) r
Starting program: /usr/bin/rp3

Program received signal SIGSEGV, Segmentation fault.
strncmp (s1=0x805510c "ppp", s2=0x0, n=3) at
../sysdeps/generic/strncmp.c:65
65	../sysdeps/generic/strncmp.c: No such file or directory.
(gdb) bt
#0  strncmp (s1=0x805510c "ppp", s2=0x0, n=3)
    at ../sysdeps/generic/strncmp.c:65
#1  0x80513ef in interface_status_update (i=0x8093cb8) at interface.c:417
#2  0x80511b0 in interface_new (interfaceName=0x8093a85 "") at
interface.c:324
#3  0x8050dd6 in interface_list_generate () at interface.c:181
#4  0x804ead1 in properties_interface_choose () at properties.c:71
#5  0x804ea90 in properties_interface_get (chosenInterface=0x0)
    at properties.c:50
#6  0x804d5a6 in application_main (argc=1, argv=0xbffffbf4) at rp3.c:88
#7  0x804d8b2 in main (argc=1, argv=0xbffffbf4) at rp3.c:169
(gdb) quit
The program is running.  Exit anyway? (y or n) y
[root@Learn /root]#

Similar problems occur with rp3-config, gnome-help-browser, gedit.

Comment 1 nstn1291 1999-11-26 10:48:59 UTC
I also have Red Hat 6.1 installed on a slower 486 machine.  rp3 and rp3-config
seem to work correctly there.

gedit fails on both systems when invoked with a file name in the command line.

gnome-help-browser fails sometimes.  If I delete all the ".gnome*" directories
it settles down and works as expected.

Comment 2 Michael K. Johnson 1999-11-30 15:56:59 UTC
The gnome-help-browser and gedit problems you are seeing cannot be in
any way related to this.  Please file separate bugs, including back
traces, for those two.

Please try the test release
ftp://people.redhat.com/johnsonm/rp3/rp3-1.0.2-1.i386.rpm
and report whether it fixes this problem for you.

Comment 3 nstn1291 1999-12-01 00:29:59 UTC
You emailed

rp3-1.0.2-1.i386.rpm

to me.  I installed it and it seems to have corrected the problem.  At least the
program now brings up its dialogue windows and seems to have reasonable actions.

I will experiment with it a bit more to see if everything is working as it
should.  This will take a day or so.  Initial signs are good.

Thanks very much.

Comment 4 Michael K. Johnson 1999-12-01 20:53:59 UTC
I've marked this as resolved in RawHide because 1.0.2 is currently
available via RawHide, but we will be releasing an update (probably
numbered 1.0.3) as an errata release later, with more fixes than 1.0.2.
In the meantime, this is fixed for you -- I know this particular bug
and it either shows up or it doesn't...

So if you find more bugs, please report them separately rather than
appending them to this report.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.